#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 typst
version:              0.5.0.2
visibility:           public
id:                   typst-0.5.0.2-D7qkNveXU3z2JS7sk414MA
key:                  typst-0.5.0.2-D7qkNveXU3z2JS7sk414MA
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.10
    and currently offers only partial support.

category:             Text
abi:                  84e609aa6b7aebbf41fc9f78388c4604
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc Typst.MathClass

import-dirs:          /usr/lib/ghc-9.4.8/site-local/typst-0.5.0.2
library-dirs:         /usr/lib/ghc-9.4.8/site-local/typst-0.5.0.2
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/typst-0.5.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.5.0.2-D7qkNveXU3z2JS7sk414MA
depends:
    aeson-2.1.2.1-DotSWK7wQi51TFnSZ5tWn0 array-0.5.4.0 base-4.17.2.1
    bytestring-0.11.5.3 cassava-0.5.3.2-F4aeITGAWuB2qQOV7hmSH7
    containers-0.6.7 directory-1.3.7.1 filepath-1.4.2.2 mtl-2.2.2
    ordered-containers-0.2.4-A1Vw0dwJ927ADu8y9Xegxs parsec-3.1.16.1
    pretty-1.1.3.6 regex-tdfa-1.3.2.4-Hzl6Yu6dd3tJd2RWu2o7W2
    scientific-0.3.7.0-I6iMwi20J4G9Jw2tSdEPEK text-2.0.2 time-1.12.2
    toml-parser-2.0.1.0-2xlQvXzpiikAcxXtZv4Eat
    typst-symbols-0.1.5-CKv9nghfbzV9YElGsqLgYY
    vector-0.13.2.0-KDCTRjRQ0urK2B6TNAGAn8
    xml-conduit-1.9.1.4-Di7g2zfv7ep5eOUZuT6ksN
    yaml-0.11.11.2-2OEKadT5HvfGp7KZlKd4Jd

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

